"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var sp_core_library_1 = require("@microsoft/sp-core-library");
var AadTokenProviders_1 = tslib_1.__importDefault(require("./AadTokenProviders"));
/**
 * Returns a preinitialized version of the AadTokenProviderFactory.
 * @public
 */
var AadTokenProviderFactory = /** @class */ (function () {
    function AadTokenProviderFactory() {
    }
    /**
     * Returns an instance of the AadTokenProvider that communicates with the current tenant's configurable
     * Service Principal.
     */
    AadTokenProviderFactory.prototype.getTokenProvider = function () {
        return Promise.resolve(AadTokenProviders_1.default.configurable);
    };
    /**
     * The service key for AadTokenProviderFactory.
     */
    AadTokenProviderFactory.serviceKey = sp_core_library_1.ServiceKey.create('sp-http:AadTokenProviderFactory', AadTokenProviderFactory);
    return AadTokenProviderFactory;
}());
exports.default = AadTokenProviderFactory;
//# sourceMappingURL=AadTokenProviderFactory.js.map